package com.ruoyi.basicData.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 车辆对象 fleet_car_manage
 *
 * @author ruoyi
 * @date 2021-03-19
 */
public class FleetCarManage extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 车队id
     */
    @Excel(name = "车队id")
    private Long fleetCompanyId;

    /**
     * 车牌号
     */
    @Excel(name = "车牌号")
    private String carNum;

    /**
     * 驾驶员id
     */
    @Excel(name = "驾驶员id")
    private Long driverId;

    /**
     * 驾驶员
     */
    @Excel(name = "驾驶员")
    private String driverName;

    /**
     * 驾驶员
     */
    @Excel(name = "驾驶员电话")
    private String driverTel;

    /**
     * 挂号
     */
    @Excel(name = "挂号")
    private String hangNum;

    /**
     * 燃油类型
     */
    @Excel(name = "燃油类型")
    private String fuelType;

    /**
     * 车辆类型
     */
    @Excel(name = "车辆类型")
    private String carType;

    /**
     * 车辆名称
     */
    @Excel(name = "车辆名称")
    private String carName;

    /**
     * 车辆品牌
     */
    @Excel(name = "车辆品牌")
    private String carBrand;

    /**
     * 制造单位
     */
    @Excel(name = "制造单位")
    private String manufactureUnit;

    /**
     * 发证机关
     */
    @Excel(name = "发证机关")
    private String officeOfCertificate;

    /**
     * 牵引车辆型号
     */
    @Excel(name = "牵引车辆型号")
    private String pullCarType;

    /**
     * 牵引车车架号
     */
    @Excel(name = "牵引车车架号")
    private String pullCarShelfNum;

    /**
     * 挂车型号
     */
    @Excel(name = "挂车型号")
    private String mountCarType;

    /**
     * 挂车车架号
     */
    @Excel(name = "挂车车架号")
    private String mountCarNum;

    /**
     * 发动机型号
     */
    @Excel(name = "发动机型号")
    private String engine;

    /**
     * 核载人数
     */
    @Excel(name = "核载人数")
    private Long carLoadPersion;

    /**
     * 购车日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "购车日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date buyCarDate;

    /**
     * 注册日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date regiestDate;

    /**
     * 报废日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "报废日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date abandonDate;

    /**
     * 外阔尺寸mm
     */
    @Excel(name = "外阔尺寸mm")
    private Long outerSize;

    /**
     * 总重量kg
     */
    @Excel(name = "总重量kg")
    private Long sumWeight;

    /**
     * 核定重量kg
     */
    @Excel(name = "核定重量kg")
    private Long vouchWeight;

    /**
     * 装备质量kg
     */
    @Excel(name = "装备质量kg")
    private Long equipWeight;

    /**
     * 行驶证头src
     */
    @Excel(name = "行驶证头src")
    private String drivingLicenseSrc;

    /**
     * 行驶证挂件src
     */
    @Excel(name = "行驶证挂件src")
    private String drivingPendantSrc;

    /**
     * 运营证头src
     */
    @Excel(name = "运营证头src")
    private String operationLicenseSrc;

    /**
     * 技术评定证书src
     */
    @Excel(name = "技术评定证书src")
    private String technologySrc;

    /**
     * 营运挂载src
     */
    @Excel(name = "营运挂载src")
    private String drivingLoadSrc;

    /**
     * 二级维护src
     */
    @Excel(name = "二级维护src")
    private String secondLvMaintainSrc;

    /**
     * 交强险src
     */
    @Excel(name = "交强险src")
    private String tafficConstranintInsuranceSrc;

    /**
     * 商业保险src
     */
    @Excel(name = "商业保险src")
    private String businessInsuranceSrc;

    /**
     * 承运人保险src
     */
    @Excel(name = "承运人保险src")
    private String accpetCarrageInsuranceSrc;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creatTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modificationTime;

    /**
     * 状态(1新建，2暂存，6提交)
     */
    @Excel(name = "状态(1新建，2暂存，6提交)")
    private Long billStatus;

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setFleetCompanyId(Long fleetCompanyId) {
        this.fleetCompanyId = fleetCompanyId;
    }

    public Long getFleetCompanyId() {
        return fleetCompanyId;
    }

    public void setCarNum(String carNum) {
        this.carNum = carNum;
    }

    public String getCarNum() {
        return carNum;
    }

    public void setDriverId(Long driverId) {
        this.driverId = driverId;
    }

    public Long getDriverId() {
        return driverId;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public String getDriverName() {
        return driverName;
    }

    public String getDriverTel() {
        return driverTel;
    }

    public void setDriverTel(String driverTel) {
        this.driverTel = driverTel;
    }

    public void setHangNum(String hangNum) {
        this.hangNum = hangNum;
    }

    public String getHangNum() {
        return hangNum;
    }

    public void setFuelType(String fuelType) {
        this.fuelType = fuelType;
    }

    public String getFuelType() {
        return fuelType;
    }

    public void setCarType(String carType) {
        this.carType = carType;
    }

    public String getCarType() {
        return carType;
    }

    public void setCarName(String carName) {
        this.carName = carName;
    }

    public String getCarName() {
        return carName;
    }

    public void setCarBrand(String carBrand) {
        this.carBrand = carBrand;
    }

    public String getCarBrand() {
        return carBrand;
    }

    public void setManufactureUnit(String manufactureUnit) {
        this.manufactureUnit = manufactureUnit;
    }

    public String getManufactureUnit() {
        return manufactureUnit;
    }

    public void setOfficeOfCertificate(String officeOfCertificate) {
        this.officeOfCertificate = officeOfCertificate;
    }

    public String getOfficeOfCertificate() {
        return officeOfCertificate;
    }

    public void setPullCarType(String pullCarType) {
        this.pullCarType = pullCarType;
    }

    public String getPullCarType() {
        return pullCarType;
    }

    public void setPullCarShelfNum(String pullCarShelfNum) {
        this.pullCarShelfNum = pullCarShelfNum;
    }

    public String getPullCarShelfNum() {
        return pullCarShelfNum;
    }

    public void setMountCarType(String mountCarType) {
        this.mountCarType = mountCarType;
    }

    public String getMountCarType() {
        return mountCarType;
    }

    public void setMountCarNum(String mountCarNum) {
        this.mountCarNum = mountCarNum;
    }

    public String getMountCarNum() {
        return mountCarNum;
    }

    public void setEngine(String engine) {
        this.engine = engine;
    }

    public String getEngine() {
        return engine;
    }

    public void setCarLoadPersion(Long carLoadPersion) {
        this.carLoadPersion = carLoadPersion;
    }

    public Long getCarLoadPersion() {
        return carLoadPersion;
    }

    public void setBuyCarDate(Date buyCarDate) {
        this.buyCarDate = buyCarDate;
    }

    public Date getBuyCarDate() {
        return buyCarDate;
    }

    public void setRegiestDate(Date regiestDate) {
        this.regiestDate = regiestDate;
    }

    public Date getRegiestDate() {
        return regiestDate;
    }

    public void setAbandonDate(Date abandonDate) {
        this.abandonDate = abandonDate;
    }

    public Date getAbandonDate() {
        return abandonDate;
    }

    public void setOuterSize(Long outerSize) {
        this.outerSize = outerSize;
    }

    public Long getOuterSize() {
        return outerSize;
    }

    public void setSumWeight(Long sumWeight) {
        this.sumWeight = sumWeight;
    }

    public Long getSumWeight() {
        return sumWeight;
    }

    public void setVouchWeight(Long vouchWeight) {
        this.vouchWeight = vouchWeight;
    }

    public Long getVouchWeight() {
        return vouchWeight;
    }

    public void setEquipWeight(Long equipWeight) {
        this.equipWeight = equipWeight;
    }

    public Long getEquipWeight() {
        return equipWeight;
    }

    public void setDrivingLicenseSrc(String drivingLicenseSrc) {
        this.drivingLicenseSrc = drivingLicenseSrc;
    }

    public String getDrivingLicenseSrc() {
        return drivingLicenseSrc;
    }

    public void setDrivingPendantSrc(String drivingPendantSrc) {
        this.drivingPendantSrc = drivingPendantSrc;
    }

    public String getDrivingPendantSrc() {
        return drivingPendantSrc;
    }

    public void setOperationLicenseSrc(String operationLicenseSrc) {
        this.operationLicenseSrc = operationLicenseSrc;
    }

    public String getOperationLicenseSrc() {
        return operationLicenseSrc;
    }

    public void setTechnologySrc(String technologySrc) {
        this.technologySrc = technologySrc;
    }

    public String getTechnologySrc() {
        return technologySrc;
    }

    public void setDrivingLoadSrc(String drivingLoadSrc) {
        this.drivingLoadSrc = drivingLoadSrc;
    }

    public String getDrivingLoadSrc() {
        return drivingLoadSrc;
    }

    public void setSecondLvMaintainSrc(String secondLvMaintainSrc) {
        this.secondLvMaintainSrc = secondLvMaintainSrc;
    }

    public String getSecondLvMaintainSrc() {
        return secondLvMaintainSrc;
    }

    public void setTafficConstranintInsuranceSrc(String tafficConstranintInsuranceSrc) {
        this.tafficConstranintInsuranceSrc = tafficConstranintInsuranceSrc;
    }

    public String getTafficConstranintInsuranceSrc() {
        return tafficConstranintInsuranceSrc;
    }

    public void setBusinessInsuranceSrc(String businessInsuranceSrc) {
        this.businessInsuranceSrc = businessInsuranceSrc;
    }

    public String getBusinessInsuranceSrc() {
        return businessInsuranceSrc;
    }

    public void setAccpetCarrageInsuranceSrc(String accpetCarrageInsuranceSrc) {
        this.accpetCarrageInsuranceSrc = accpetCarrageInsuranceSrc;
    }

    public String getAccpetCarrageInsuranceSrc() {
        return accpetCarrageInsuranceSrc;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setModificationTime(Date modificationTime) {
        this.modificationTime = modificationTime;
    }

    public Date getModificationTime() {
        return modificationTime;
    }

    public void setBillStatus(Long billStatus) {
        this.billStatus = billStatus;
    }

    public Long getBillStatus() {
        return billStatus;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fleetCompanyId", getFleetCompanyId())
                .append("carNum", getCarNum())
                .append("driverId", getDriverId())
                .append("driverName", getDriverName())
                .append("hangNum", getHangNum())
                .append("fuelType", getFuelType())
                .append("carType", getCarType())
                .append("carName", getCarName())
                .append("carBrand", getCarBrand())
                .append("manufactureUnit", getManufactureUnit())
                .append("officeOfCertificate", getOfficeOfCertificate())
                .append("pullCarType", getPullCarType())
                .append("pullCarShelfNum", getPullCarShelfNum())
                .append("mountCarType", getMountCarType())
                .append("mountCarNum", getMountCarNum())
                .append("engine", getEngine())
                .append("carLoadPersion", getCarLoadPersion())
                .append("buyCarDate", getBuyCarDate())
                .append("regiestDate", getRegiestDate())
                .append("abandonDate", getAbandonDate())
                .append("outerSize", getOuterSize())
                .append("sumWeight", getSumWeight())
                .append("vouchWeight", getVouchWeight())
                .append("equipWeight", getEquipWeight())
                .append("drivingLicenseSrc", getDrivingLicenseSrc())
                .append("drivingPendantSrc", getDrivingPendantSrc())
                .append("operationLicenseSrc", getOperationLicenseSrc())
                .append("technologySrc", getTechnologySrc())
                .append("drivingLoadSrc", getDrivingLoadSrc())
                .append("secondLvMaintainSrc", getSecondLvMaintainSrc())
                .append("tafficConstranintInsuranceSrc", getTafficConstranintInsuranceSrc())
                .append("businessInsuranceSrc", getBusinessInsuranceSrc())
                .append("accpetCarrageInsuranceSrc", getAccpetCarrageInsuranceSrc())
                .append("creatTime", getCreatTime())
                .append("modificationTime", getModificationTime())
                .append("billStatus", getBillStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remarks", getRemarks())
                .toString();
    }
}
